by r0t,der4444,cembo,VietMafia

Sunday, December 18, 2005

Komodo CMS vuln.

Komodo CMS vuln.

Vuln. discovered by : r0t
Date: 18 dec. 2005
vendor:http://www.komodocms.com/
affected version:v2.1 and prior + other editions can have same vuln.


Product Description:

Intuitive, simple-to-use and powerful web content management system. Cross browser and cross platform, Komodo CMS has been developed to give control back to organizations, empowering them to maintain and manage their web infrastructure. Komodo CMS is particularly suitable for organizations who see their website as a marketing and business generation channel. Why compromise on design or ease of use when you can have both? Komodo CMS purchase price includes design integration and training.


Vuln. Description:

1. SQL inj.

Komodo CMS contains a flaw that allows a remote sql injection attacks.Input passed to the "page" parameter in "page.php" isn't properly sanitised before being used in a SQL query. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code

example:

/page.php?page=[SQL]

Note: For testing or exploiting this vuln., switch off javascript support in your browser, cauz for an error Komodo will answer with redirect:)


2. XSS

Komodo CMS contains a flaw that allows a remote cross site scripting attack. This flaw exists because input passed to search module paremters isn't properly sanitised before being returned to the user.
This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.


Solution:
Edit the source code to ensure that input is properly sanitised.

0 Comments:

Post a Comment

<< Home

 
Copyright (c) 2006 Pridels Sec Crew